
/* Menubar css */
.stellarnav li > button {
    background: none;
    border: none;
    cursor: pointer;
}
.stellarnav {
width: 100%;
z-index: 9900;
line-height: normal; }
.stellarnav a:not([href]):not([class]), .stellarnav a:not([href]):not([class]):hover {
    color: #fff;
    text-decoration: none;
}
.stellarnav ul { margin: 0; padding: 0; text-align: center;justify-content:flex-end;}
.stellarnav li { list-style: none; display: block; margin: 0; padding: 0; position: relative; line-height: normal; vertical-align: middle; }
.stellarnav li a { 
  cursor:pointer;
  display: block;
   text-decoration: none;
   box-sizing: border-box;
   font-size: 16px;
	font-weight: 600;
	text-transform: capitalize;
	color:#000;
	padding: 5px 5px;}
/* main level */
.stellarnav > ul > li { display: inline-block;  }


/* first level dd */
.stellarnav ul ul { top: auto; width: 200px; position: absolute; z-index: 9900; text-align: left; display: none; background: #ddd; }
.stellarnav li li { display: block; }

/* second level dd */
.stellarnav ul ul ul { top: 0; /* dd animtion - change to auto to remove */ left: 220px; }
.stellarnav > ul > li:hover > ul > li:hover > ul { opacity: 1; visibility: visible; top: 0; }

/* .drop-left */
.stellarnav > ul > li.drop-left > ul { right: 0; }
.stellarnav li.drop-left ul ul { left: auto; right: 220px; }

/* light theme */
.stellarnav.light { background: rgba(255, 255, 255, 1); }
.stellarnav.light a { color: #000; }
.stellarnav.light ul ul { background: rgba(255, 255, 255, 1); }
.stellarnav.light li a { color: #000; }

/* dark theme */


.stellarnav.dark ul ul { background: #fff; }

/* sticky nav */
.stellarnav.fixed { position: fixed; width: 100%; top: 0; left: 0; z-index: 9999; }

/* only used when 'scrollbarFix' is set to true in the js. This fixes horizontal scrollbar caused by the dd menus that are very long.*/
body.stellarnav-noscroll-x { overflow-x: hidden; }

/* general styling */

.stellarnav li li.has-sub > a:after { margin-left: 10px; float: right; border-top: 6px solid transparent; border-bottom: 6px solid transparent; border-left: 6px solid #FFF; position: relative; top: 4px; }
.stellarnav li.drop-left li.has-sub > a:after { float: left; margin-right: 10px; border-left: 0; border-top: 6px solid transparent; border-bottom: 6px solid transparent; border-right: 6px solid #FFF; }
.stellarnav.hide-arrows li.has-sub > a:after, .stellarnav.hide-arrows li li.has-sub > a:after, .stellarnav.hide-arrows li.drop-left li.has-sub > a:after { display: none; }
.stellarnav .menu-toggle, .stellarnav .close-menu, .stellarnav .call-btn-mobile, .stellarnav .location-btn-mobile { display: none; text-transform: uppercase; text-decoration: none; }
.stellarnav .dd-toggle { display: none; position: absolute; top: 0; right: 0; padding: 0; width: 48px; height: 48px; text-align: center; z-index: 9999; border: 0; }
/* .stellarnav.desktop li.has-sub a { padding-right: 5px; } */
.stellarnav.desktop.hide-arrows li.has-sub a { padding-right: 15px; }
.stellarnav.mobile > ul > li > a.dd-toggle { padding: 0; }
.stellarnav li.call-btn-mobile, .stellarnav li.location-btn-mobile { display: none; }

/* svg icons */
.stellarnav svg { fill: currentColor; width: 1em; height: 1em; position: relative; top: 2px; }
/* svg icons */

.stellarnav a.dd-toggle .icon-plus { box-sizing: border-box; transition: transform 0.3s; width: 12px; height: 100%; position: relative; vertical-align: middle; display: inline-block; }
.stellarnav a.dd-toggle .icon-plus:before { content: ''; display: block; width: 12px; height: 0px; border-bottom: solid 3px #777; position: absolute; top: 50%; transform: rotate(90deg); transition: width 0.3s; }
.stellarnav a.dd-toggle .icon-plus:after { content: ''; display: block; width: 12px; height: 0px; top: 50%; border-bottom: solid 3px #777; position: absolute; }
.stellarnav li.open > a.dd-toggle .icon-plus { -webkit-transform: rotate(135deg); -ms-transform: rotate(135deg); -o-transform: rotate(135deg); transform: rotate(135deg); }
.stellarnav.light a.dd-toggle .icon-plus:before { border-color: #000; }
.stellarnav.light a.dd-toggle .icon-plus:after { border-color: #000; }
.stellarnav.dark a.dd-toggle .icon-plus:before { border-color: #FFF; }
.stellarnav.dark a.dd-toggle .icon-plus:after { border-color: #FFF; }

.stellarnav .icon-close { box-sizing: border-box; width: 12px; height: 12px; position: relative; display: inline-block; }
.stellarnav .icon-close:before { content: ''; display: block; width: 12px; height: 0px; border-bottom: solid 3px #777; position: absolute; top: 50%; transform: rotate(45deg); }
.stellarnav .icon-close:after { content: ''; display: block; width: 12px; height: 0px; top: 50%; border-bottom: solid 3px #777; position: absolute; transform: rotate(-45deg); }
.stellarnav.light .icon-close:before { border-color: #000; }
.stellarnav.light .icon-close:after { border-color: #000; }
.stellarnav.dark .icon-close:before { border-color: #FFF; }
.stellarnav.dark .icon-close:after { border-color: #FFF; }

/* mobile nav */

.stellarnav .menu-toggle span.bars { display: inline-block; margin-right: 5px; position: relative; top: 3px; }
.stellarnav .menu-toggle span.bars span { display: block; width: 25px; height: 4px; border-radius: 6px; background: #777; margin: 0 0 5px; }
.stellarnav .menu-toggle span.bars span:last-child{
margin-bottom:0px;
}
.stellarnav .full { width: 100%; }
.stellarnav .half { width: 50%; }
.stellarnav .third { width: 33%; text-align: center; }
.stellarnav .location-btn-mobile.third { text-align: center; }
.stellarnav .location-btn-mobile.half { text-align: right; }
.stellarnav.light .third, .stellarnav.light .half { border-left: 1px solid rgba(0, 0, 0, .15); }
.stellarnav.light.left .third, .stellarnav.light.left .half { border-bottom: 1px solid rgba(0, 0, 0, .15); }
.stellarnav.light.right .third, .stellarnav.light.right .half { border-bottom: 1px solid rgba(0, 0, 0, .15); }
.stellarnav.light .third:first-child, .stellarnav.light .half:first-child { border-left: 0; }
.stellarnav.dark .third, .stellarnav.dark .half { border-left: 1px solid rgba(255, 255, 255, .15); }
.stellarnav.dark.left .third, .stellarnav.dark.left .half { border-bottom: 1px solid rgba(255, 255, 255, .15); }
.stellarnav.dark.right .third, .stellarnav.dark.right .half { border-bottom: 1px solid rgba(255, 255, 255, .15); }
.stellarnav.light.left .menu-toggle, .stellarnav.light.right .menu-toggle { border-bottom: 0; }
.stellarnav.dark.left .menu-toggle, .stellarnav.dark.right .menu-toggle { border-bottom: 0;margin-right:10px; }
.stellarnav.dark .third:first-child, .stellarnav.dark .half:first-child { border-left: 0; }
.stellarnav.light .menu-toggle span.bars span { background: #000; }
.stellarnav.dark .menu-toggle span.bars span { background: #000; }
.stellarnav.mobile { position: static; }
.stellarnav.mobile.fixed { position: static; }
.stellarnav.mobile ul { position: relative; display: none; }
.stellarnav.mobile.active { padding-bottom: 0; }
.stellarnav.mobile.active > ul { display: block; }
.stellarnav.mobile ul { text-align: left; }
.stellarnav.mobile > ul > li { display: block; }
.stellarnav.mobile > ul > li > a { padding: 15px; }
.stellarnav.mobile ul { background: rgba(221, 221, 221, 1); }
.stellarnav.mobile ul ul { position: relative; opacity: 1; visibility: visible; width: auto; display: none;  }
.stellarnav.mobile ul ul ul { left: auto; top: auto; }
.stellarnav.mobile li.drop-left ul ul { right: auto; }
.stellarnav.mobile li a, .stellarnav.mobile li button {color:#fff; border-bottom: 1px solid rgba(255, 255, 255, .15); }
.stellarnav.mobile > ul { border-top: 1px solid rgba(255, 255, 255, .15); }
.stellarnav.mobile.light li a { border-bottom: 1px solid rgba(0, 0, 0, .15); }
.stellarnav.mobile.light > ul { border-top: 1px solid rgba(0, 0, 0, .15); }
.stellarnav.mobile li a.dd-toggle { border: 0; }
.stellarnav.mobile.light li a.dd-toggle { border: 0; }
.stellarnav.mobile .menu-toggle, .stellarnav.mobile .dd-toggle, .stellarnav.mobile .close-menu, .stellarnav.mobile .call-btn-mobile, .stellarnav.mobile .location-btn-mobile { display: inline-block; }
.stellarnav.mobile li.call-btn-mobile { border-right: 1px solid rgba(255, 255, 255, .1); box-sizing: border-box; }
.stellarnav.mobile li.call-btn-mobile, .stellarnav.mobile li.location-btn-mobile { display: inline-block; width: 50%; text-transform: uppercase; text-align: center; }
.stellarnav.mobile li.call-btn-mobile.full, .stellarnav.mobile li.location-btn-mobile.full { display: block; width: 100%; text-transform: uppercase; border-right: 0; text-align: left; }
.stellarnav.mobile.light ul { background: rgba(255, 255, 255, 1); }
.stellarnav.mobile.dark ul {
background: #002955;
z-index: 9999;
padding-left: 0px;
}
.stellarnav.mobile.dark ul ul { background: rgba(255, 255, 255, .08); }
.stellarnav.mobile.light li.call-btn-mobile { border-right: 1px solid rgba(0, 0, 0, .1); }
.stellarnav.mobile.top { position: absolute; width: 100%; top: 0; left: 0; z-index: 9999; }
.stellarnav.mobile li.has-sub > a:after, .stellarnav.mobile li li.has-sub > a:after, .stellarnav.mobile li.drop-left li.has-sub > a:after { display: none; }

/* left and right positions */
.stellarnav.mobile.right > ul, .stellarnav.mobile.left > ul { position: fixed; top: 0; bottom: 0; width: 100%; max-width: 280px; overflow-x: hidden; overflow-y: auto; -webkit-overflow-scrolling: touch; }
.stellarnav.mobile.right > ul { right: 0; }
.stellarnav.mobile.right .close-menu, .stellarnav.mobile.left .close-menu { display: inline-block; text-align: right;padding:15px;}
.stellarnav.mobile.left > ul { left: 0; }
.stellarnav.mobile.right .location-btn-mobile.half, .stellarnav.mobile.right .call-btn-mobile.half, .stellarnav.mobile.right .close-menu.half { text-align: center; }
.stellarnav.mobile.right .location-btn-mobile.third, .stellarnav.mobile.right .call-btn-mobile.third, .stellarnav.mobile.right .close-menu.third { text-align: center; }
.stellarnav.mobile.left .location-btn-mobile.half, .stellarnav.mobile.left .call-btn-mobile.half, .stellarnav.mobile.left .close-menu.half { text-align: center; }
.stellarnav.mobile.left .location-btn-mobile.third, .stellarnav.mobile.left .call-btn-mobile.third, .stellarnav.mobile.left .close-menu.third { text-align: center; }
.stellarnav.mobile.left .menu-toggle.half, .stellarnav.mobile.left .menu-toggle.third, .stellarnav.mobile.right .menu-toggle.half, .stellarnav.mobile.right .menu-toggle.third { text-align: left; }
.stellarnav.mobile.left .close-menu.third span, .stellarnav.mobile.right .close-menu.third span { display: none; }
/* left and right positions */

/* mega dd */
.stellarnav.desktop li.megamenu ul ul { background: none; }
.stellarnav.desktop li.megamenu li {
display: inline-block;
vertical-align: top;
margin-left: -4px;
}
.stellarnav.desktop li.megamenu li li { display: block; position: relative; left: 4px; }
.stellarnav.desktop li.megamenu ul ul { width: auto; }
.stellarnav.desktop > ul > li.megamenu { position: inherit; }
.stellarnav.desktop > ul > li.megamenu > ul { width: 100%; }
.stellarnav.desktop > ul > li.megamenu > ul li.has-sub ul { display: block; position: relative; left: auto;padding-right:10px;}
.stellarnav.desktop > ul > li.megamenu > ul > li { padding-bottom: 15px; box-sizing: border-box; }
/* .stellarnav.desktop li.mega li li a { padding: 5px 15px; } */
.stellarnav.desktop li.megamenu li.has-sub a:after { display: none; }
.stellarnav.desktop > ul > li > ul > li > a {
font-weight: 600;
padding-bottom: 12px;
}
.stellarnav.desktop > ul > li > ul li.has-sub ul li a{
font-size: 15px;
font-weight: 500;
}
.stellarnav.desktop > ul > li.submenu > ul > li a{
font-size: 15px;
font-weight: 500;
}

/* mega dd */
.megamenu > ul, .submenu > ul {
  padding: 10px 20px 10px !important;
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  box-shadow: rgba(137, 139, 142, 0.15) 0px 30px 70px 0px;
}

.stellarnav li.has-sub > a:after, .stellarnav li.has-sub > button:after {
content: "\f107";
-moz-osx-font-smoothing: grayscale;
-webkit-font-smoothing: antialiased;
display: var(--fa-display, inline-block);
font-style: normal;
font-variant: normal;
line-height: 1;
font-family: var(--fa-style-family, "Font Awesome 6 Free");
font-weight: var(--fa-style, 900);
text-rendering: auto;
display: inline-block;
/* position:absolute; */
right:-18px;
top:19px;
margin-left: 5px;

}
.stellarnav ul > li:hover > a:after, .stellarnav ul > li:hover > button:after {
  transform: rotate(180deg);
}

@media (min-width: 1199px) {
  .megamenu li.has-sub > a, .megamenu li.has-sub > button {
      border-bottom: 1px dashed #ccc;
      margin-bottom: 10px;
      margin-right: 20px;
      position: relative;
      width: 90%;
      text-align: left;
      padding-bottom: 15px !important;
  }
}
@media (max-width: 1199px) {
.megamenu > ul, .submenu > ul {
  padding: 10px 10px 10px !important;
}
}